## dropbear 2012.55

=== debian/changelog ===
dropbear (2012.55-1.3+deb7u2) wheezy-security; urgency=high

  * Backport fix for CVE-2017-9079 from 2017.75: information disclosure with
    ~/.ssh/authorized_keys symlink.
    Dropbear parsed authorized_keys as root, even if it were a symlink. The
    fix is to switch to user permissions when opening authorized_keys A user
    could symlink their ~/.ssh/authorized_keys to a root-owned file they
    couldn't normally read. If they managed to get that file to contain valid
    authorized_keys with command= options it might be possible to read other
    contents of that file.
    This information disclosure is to an already authenticated user.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 20 May 2017 20:49:16 +0200

dropbear (2012.55-1.3+deb7u1) wheezy-security; urgency=high

  * Move to "3.0 (quilt)" source format for patch clarity.
  * CVE-2016-7406: Improve exit message formatting.
  * CVE-2016-7407: Fix potential segfaults in parsing OpenSSH's ASN.1 key
    format.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Sep 2016 20:32:22 +0200

dropbear (2012.55-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix initramfs hook when multiple variant of libc are installed.
    All credits due to Helmut Grohne for the report and the solution.
    (Closes: #682964)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 08 Nov 2012 10:45:01 +0100

dropbear (2012.55-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Unbreak initramfs hook when upgrading from Squeeze.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 25 Sep 2012 16:53:18 +0200

dropbear (2012.55-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust initramfs hook to work with multi-arch. Initial patch by
    Michael Stapelberg. (Closes: #630581)

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 25 Sep 2012 09:17:06 +0200

dropbear (2012.55-1) unstable; urgency=high

  * New upstream release.
    * Fix use-after-free bug that could be triggered if command="..."
      authorized_keys restrictions are used.  Could allow arbitrary
      code execution or bypass of the command="..." restriction to an
      authenticated user.  This bug affects releases 0.52 onwards.
      Ref CVE-2012-0920 (closes: #661150).  Thanks to Danny Fullerton
      of Mantor Organization for reporting the bug.

 -- Gerrit Pape <pape@smarden.org>  Mon, 27 Feb 2012 14:18:53 +0000

dropbear (2011.54-1) unstable; urgency=low

  [ Matt Johnston ]
  * new upstream release.
    * Added ALLOW_BLANK_PASSWORD option. Dropbear also now allows public
      key logins to accounts with a blank password. Thanks to Rob
      Landley (closes: #555889).
    * Bind to sockets with IPV6_V6ONLY so that it works properly on
      systems regardless of the system-wide setting (closes: #636696).

  [ Gerrit Pape ]
  * debian/control: Standards-Version: 3.9.2.0.

 -- Gerrit Pape <pape@smarden.org>  Wed, 16 Nov 2011 12:36:03 +0000

dropbear (0.53.1-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.
    * SSH_ORIGINAL_COMMAND environment variable is set by the server
      when an authorized_keys command is specified (closes: #604524).

  [ Gerrit Pape ]
  * debian/rules: add --enable-bundled-libtom option to ./configure.
  * debian/rules: remove -DXAUTH_COMMAND="/usr/bin/X11/xauth -q from
    CFLAGS (workaround ./configure stupidity; closes: #625192).
  * debian/diff/0003-options.h-use-usr-bin-xauth-instead-of...diff: new;
    use /usr/bin/xauth instead of /usr/bin/X11/xauth for XAUTH_COMMAND
    (closes: #614355).

 -- Gerrit Pape <pape@smarden.org>  Mon, 02 May 2011 16:35:14 +0000

dropbear (0.52-5) unstable; urgency=low

  [ debian@x.ray.net ]
  * debian/dropbear.postinst: initramfs-tools uses a conf-hooks.d/
    directory for mkinitramfs ('compiletime') configuration, so to be
    sure to read the whole/correct config we need to source the files
    in there too, additionally to initramfs.conf (closes: #575504).
  * debian/initramfs/dropbear-conf: set UMASK=0077 (closes: #578117).

  [ Gerrit Pape ]
  * debian/control: Standards-Version: 3.8.4.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 18 Apr 2010 23:04:36 +0000

dropbear (0.52-4) unstable; urgency=low

  * debian/initramfs/dropbear-hook: allow more than one public key in
    initramfs (thx Chris for the patch; closes: #548309).

 -- Gerrit Pape <pape@smarden.org>  Tue, 06 Oct 2009 01:51:42 +0000

dropbear (0.52-3) unstable; urgency=low

  * debian/rules: configure: add XAUTH_COMMAND="/usr/bin/X11/xauth -q"
    to CFLAGS (thx Axel Beckert, Colin Watson; closes: #532900).
  * debian/dropbear.init: Improve abort messages due to
    /etc/default/dropbear::NO_START (thx Jari Aalto for the patch;
    closes: #541432).
  * debian/control: Provides: ssh-server (thx Steffen Moeller; closes:
    #543174)
  * debian/control: Suggests: xauth (thx Francis Russell; closes:
    #508233).

 -- Gerrit Pape <pape@smarden.org>  Thu, 24 Sep 2009 14:37:17 +0000

dropbear (0.52-2) unstable; urgency=medium

  * debian/initramfs/premount-dropbear: run configure_networking in the
    background (thx debian@x.ray.net, closes: #514213, #524728).
  * debian/control: Standards-Version: 3.8.2.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 28 Jun 2009 23:22:39 +0000

dropbear (0.51-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.
    - Wait until a process exits before the server closes a connection,
      so that an exit code can be sent. This fixes problems with exit
      codes not being returned, which could cause scp to fail (closes:
      #448397, #472483).
  
  [ Gerrit Pape ]
  * debian/dropbear.postinst: don't print an error message if the
    update-service program is not installed (thx Matt).

 -- Gerrit Pape <pape@smarden.org>  Thu, 27 Mar 2008 20:08:06 +0000
