## dropbear 2016.72

=== debian/changelog ===
dropbear (2016.72-1) unstable; urgency=high

  [ Matt Johnston ]
  * New upstream release, fixing a xauth command injection vulnerability.  See
    also http://www.openwall.com/lists/oss-security/2016/03/10/8

  [ Guilhem Moulin ]
  * debian/control:
    + Bump Standards-Version to 3.9.7 (no changes necessary).
    + Change Vcs-Git URI from git:// to https://.

 -- Guilhem Moulin <guilhem@guilhem.org>  Thu, 10 Mar 2016 22:14:47 +0100

dropbear (2015.71-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.

  [ Guilhem Moulin ]
  * dropbear-initramfs:
    + init-premount script: on local mounts, fork before
      'configure_networking', so a user with access to the keyboard doesn't
      need to wait for ipconfig to terminate to enter the passphrase.
      (Closes: #806884.)  It doesn't affect our fix to #584780 since
      'configure_networking' and 'dropbear' run sequentially in the same
      process.

 -- Guilhem Moulin <guilhem@guilhem.org>  Fri, 18 Dec 2015 13:10:57 +0100

dropbear (2015.70-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.

  [ Guilhem Moulin ]
  * dropbear-initramfs:
    + Take dropbear options from the DROPBEAR_OPTIONS environment variable,
      for consistency with DROPBEAR_IFDOWN.  For backward compatibility the
      value of $PKGOPTION_dropbear_OPTION is used when DROPBEAR_OPTIONS is
      unset.
    + Take ownership of cryptsetup's /usr/share/doc/cryptsetup/README.remote
      and ship it as /usr/share/doc/dropbear-initramfs/README.initramfs .
  * debian/patches:
    + 0001-dbclient.1-dbclient-uses-compression-if-compiled-with.diff: Remove
      patch applied upstream.
    + 0002-dropbearkey.8-mention-y-option-add-example.diff: Remove patch
      applied upstream.

 -- Guilhem Moulin <guilhem@guilhem.org>  Thu, 26 Nov 2015 17:06:59 +0100

dropbear (2015.68-1) unstable; urgency=low

  * New co-maintainer.

  [ Matt Johnston ]
  * New upstream release.  (Closes: #631858, #775222.)

  [ Guilhem Moulin ]
  * debian/source/format: 3.0 (quilt)
  * debian/compat: 9
  * debian/control:
    + Bump Standards-Version to 3.9.6 (no changes necessary).
    + Add Homepage, Vcs-Git, and Vcs-Browser fields.
  * debian/copyright: add machine-readable file.
  * Split up package in dropbear-bin (binaries), dropbear-run (init scripts)
    and dropbear-initramfs (initramfs integration).  'dropbear' is now a
    transitional dummy package depending on on dropbear-run and
    dropbear-initramfs.  (Closes: #692932.)
  * Refactor the package using dh_* tools, including dh_autoreconf.  (Closes:
    #689618, #777324, #793006, #793917.)
  * Add 'Multi-Arch: foreign' tags.
  * dropbear-run:
    + Add a status option to the /etc/init.d script.
    + Pass key files with -r not -d in /etc/init.d script.  (Closes: #761143.)
    + Post-installation script: Generate missing ECDSA in addition to RSA and
      DSS host keys.  (Closes: #776976.)
  * dropbear-initramfs:
    + No longer mark /usr/share/initramfs-tools/conf-hooks.d/dropbear as a
      configuration file, since it violates the Debian Policy Manual section
      10.7.2.  (Regression from 2014.64-1.)  Instead, move the file to
      /etc/initramfs-tools/conf-hooks.d/dropbear and add a symlink in
      /usr/share/initramfs-tools/conf-hooks.d.
    + Delete debian/initramfs/premount-devpts, since /dev/pts in mounted by
      init since initramfs-tools 0.94.  (Closes: #632656, #797939.)
    + Auto-generate host keys in the postinstall script, not when runing
      update-initramfs.  Pass the '-R' option (via $PKGOPTION_dropbear_OPTION)
      for the old behavior.  Also, print fingerprint and ASCII art for
      generated keys (if ssh-keygen is available).
    + Revert ad2fb1c and remove warning about changing host key.  Users
      shouldn't be encouraged to use the same keys in the encrypted partition
      and in the initramfs.  The proper fix is to use an alternative port or
      UserKnownHostFile.
    + Set ~root to `mktemp -d "$DESTDIR/root-XXXXXX"` to avoid collisions with
      $rootmnt.  (Closes: #558115.)
    + Exit gracefully if $IP is 'none' or 'off'.  (Closes: #692932.)
    + Start dropbear with flag -s to explicitly disable password logins.
    + Terminate all children before killing dropbear, to avoid stalled SSH
      connections.  (Closes: #735203.)
    + Run configure_networking in the foreground.  (Closes: #584780, #626181,
      #739519.)
    + Bring down interfaces and flush IP routes and addresses before exiting
      the ramdisk, to avoid dirty network configuration in the regular kernel.
      (Closes: #715048, #720987, #720988.)  The interfaces considered are
      those matching the $DROPBEAR_IFDOWN shell pattern (default: '*'); the
      special value 'none' keeps all interfaces up and preserves routing
      tables and addresses.

 -- Guilhem Moulin <guilhem@guilhem.org>  Sat, 03 Oct 2015 20:47:33 +0200

dropbear (2014.65-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release (closes: #757780).

  [ Gerrit Pape ]
  * debian/diff/0003-options.h-use-usr-bin-xauth-instead-of...diff:
    remove; applied upstream.
  * debian/control: Standards-Version: 3.9.5.0.

 -- Gerrit Pape <pape@smarden.org>  Mon, 11 Aug 2014 20:50:11 +0000

dropbear (2014.64-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release (closes: #748826, #756561)..

  [ Gerrit Pape ]
  * debian/diff/: update.
  * debian/initramfs/premount-devpts: apply patch from
    https://launchpadlibrarian.net/107177971/dropbear_lp933903_precise_1.debdiff:
    duplicate mount /dev/pts in initramfs (thx Mario 'BitKoenig' Holbe,
    Guy Roussin, closes: #632656).
  * debian/dropbear.postinst: apply patch from Karl O. Pinc: dropbear's
    cryptroot setup does not use the system's host keys (closes:
    #714899).
  * debian/initramfs/dropbear-hook: apply patch from Karl O. Pinc:
    There is no warning when the cryptroot host key differs from the
    regular host key (closes: #714900).

