## dropbear 2016.73

=== debian/changelog ===
dropbear (2016.73-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.

  [ Guilhem Moulin ]
  * dropbear-initramfs, dropbear-run:
    + In the postinst script, only generate host keys when all three key types
      (DSS, RSA, ECDSA) are missing.  For instance if an RSA host key is
      present, a missing DSS host key will not be automatically generated.
    + Change architecture from 'any' to 'all' and remove --link-doc.  This
      enables dropbear-initramfs to have its own NEWS file.
  * dropbear-run:
    + Use dh_installdirs to create /etc/dropbear.
  * dropbear-initramfs:
    + Take host keys (resp. authorized_keys) from /etc/initramfs-tools instead
      of /etc/initramfs-tools/etc/dropbear (resp.
      /etc/initramfs-tools/root/.ssh).
      These files are automatically moved on upgrade.
      This is done following the initramfs-tools maintainers' request (see
      #807527) that hook and boot script configuration files be stored outside
      the /etc/initramfs-tools directory.
    + Move hook script initramfs configuration from
      /etc/initramfs-tools/conf-hooks.d/dropbear to
      /usr/share/initramfs-tools/conf-hooks.d/dropbear.  As a consequence, the
      file is no longer recognized as a user configuration file; it is only
      used to set a restrictive umask (to avoid disclosing the host keys) and
      to force the use of busybox.
    + Use /etc/dropbear-initramfs/config as initramfs boot script
      configuration.  For backward compatibility setting dropbear options in
      /etc/initramfs-tools/initramfs.conf is still supported for now (but
      sourcing this file causes the hook to print a warning).
      (Closes: #819320.)

 -- Guilhem Moulin <guilhem@guilhem.org>  Wed, 13 Apr 2016 19:00:06 +0200
