=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
  This package provides dropbear, dbclient, dropbearkey and dropbearconvert.
 
 Package: dropbear-run
-Architecture: any
-Depends: ${misc:Depends}, dropbear-bin (= ${binary:Version})
+Architecture: all
+Depends: ${misc:Depends}, dropbear-bin (>= ${source:Version})
 Suggests: runit
 Breaks: dropbear (<< 2015.68-1)
 Replaces: dropbear (<< 2015.68-1)
@@ -43,8 +43,8 @@
  features such as X11 and authentication agent forwarding.
 
 Package: dropbear-initramfs
-Architecture: any
-Depends: ${misc:Depends}, dropbear-bin (= ${binary:Version}),
+Architecture: all
+Depends: ${misc:Depends}, dropbear-bin (>= ${source:Version}),
  initramfs-tools (>= 0.94), busybox | busybox-static, udev
 Recommends: cryptsetup
 Breaks: dropbear (<< 2015.68-1)
