## dropbear 2016.74

=== debian/changelog ===
dropbear (2016.74-5+deb9u1) stretch; urgency=medium

  * Backport security fix for CVE-2018-15599: The recv_msg_userauth_request
    function in svr-auth.c in Dropbear through 2018.76 is prone to a user
    enumeration vulnerability because username validity affects how fields in
    SSH_MSG_USERAUTH messages are handled.  (Closes: #906890.)
    Adapted from https://secure.ucc.asn.au/hg/dropbear/rev/5d2d1021ca00 .

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 24 Aug 2018 02:08:38 +0200

dropbear (2016.74-5) unstable; urgency=high

  * Backport security fixes from 2017.75 (closes: #862970):
    - CVE-2017-9078: Fix double-free in server TCP listener cleanup
      A double-free in the server could be triggered by an authenticated user
      if dropbear is running with -a (Allow connections to forwarded ports
      from any host) This could potentially allow arbitrary code execution as
      root by an authenticated user.
    - CVE-2017-9079: Fix information disclosure with ~/.ssh/authorized_keys
      symlink.
      Dropbear parsed authorized_keys as root, even if it were a symlink. The
      fix is to switch to user permissions when opening authorized_keys
      A user could symlink their ~/.ssh/authorized_keys to a root-owned file
      they couldn't normally read. If they managed to get that file to contain
      valid authorized_keys with command= options it might be possible to read
      other contents of that file.
      This information disclosure is to an already authenticated user.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 19 May 2017 23:41:21 +0200

dropbear (2016.74-4) unstable; urgency=medium

  * Also trigger maintainer scripts when upgrading from dropbear
    2014.65-1+deb8u1, by changing the upper bound from 2014.65-1 to
    2015.68-1~.  (Closes: #862544)

 -- Guilhem Moulin <guilhem@guilhem.org>  Sun, 14 May 2017 16:56:40 +0200

dropbear (2016.74-3) unstable; urgency=high

  * debian/copyright: add missing paragraphs to match upstream's LICENSE file.
    (Closes: #860406.)

 -- Guilhem Moulin <guilhem@guilhem.org>  Sun, 16 Apr 2017 12:22:56 +0200

dropbear (2016.74-2) unstable; urgency=low

  * Tolerate lack of boot script config file /etc/dropbear-initramfs/config.
    This can happen when dropbear-initramfs is upgraded (from <2016.73-1)
    along with the kernel, and the kernel is configured before
    dropbear-initramfs, cf. #841503.
  * debian/control: Add Depends: lsb-base (>= 3.0-6) for dropbear-run.
  * debian/README.Debian, debian/copyright: upgrade the homepage URI to
    https://.

 -- Guilhem Moulin <guilhem@guilhem.org>  Tue, 13 Dec 2016 23:44:50 +0100

dropbear (2016.74-1) unstable; urgency=medium

  [ Matt Johnston ]
  * New upstream release.

  [ Guilhem Moulin ]
  * debian/control:
    + Bump Standards-Version to 3.9.8 (no changes necessary).
  * Fix initramfs hostkey path in changelog and NEWS file.  Patch from Lukáš
    Krejza.  (Closes: #830826.)

 -- Guilhem Moulin <guilhem@guilhem.org>  Fri, 29 Jul 2016 10:29:42 +0200
