=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dropbear
 Section: net
 Priority: optional
-Maintainer: Guilhem Moulin <guilhem@guilhem.org>
+Maintainer: Guilhem Moulin <guilhem@debian.org>
 Uploaders: Gerrit Pape <pape@smarden.org>
 Build-Depends: libz-dev, debhelper (>= 9), dh-exec, dh-autoreconf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dropbear.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dropbear.git
@@ -29,7 +29,8 @@
 
 Package: dropbear-run
 Architecture: all
-Depends: ${misc:Depends}, dropbear-bin (>= ${source:Version})
+Depends: ${misc:Depends}, dropbear-bin (>= ${source:Version}),
+ lsb-base (>= 3.0-6)
 Suggests: runit
 Breaks: dropbear (<< 2015.68-1)
 Replaces: dropbear (<< 2015.68-1)
