=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,6 @@
 	  CC='$(CC)' CFLAGS='$(CFLAGS) -DSFTPSERVER_PATH="\"/usr/lib/sftp-server\""' \
 	  $(CONFFLAGS)
 
-override_dh_installdocs:
-	dh_installdocs -Ndropbear-run -Ndropbear-initramfs
-	dh_installdocs -pdropbear-run -pdropbear-initramfs --link-doc=dropbear-bin
-
 override_dh_install:
 	dh_link -pdropbear-run /var/log/dropbear etc/dropbear/log/main
-	dh_link -pdropbear-initramfs /etc/initramfs-tools/conf-hooks.d/dropbear usr/share/initramfs-tools/conf-hooks.d/dropbear
 	dh_install
